Update Android Studio Gradle Plugin auf die letzte Version

Ich bin neu in Android-Entwicklung und ich habe versucht, das Facebook-SDK in meinem Android Studio-Projekt zu installieren.

Dann habe ich einen Fehler in build.gradle:

  • RecyclerView.onBindViewHolder nur einmal aufgerufen
  • Android Studio und Gradle Abhängigkeit Integration
  • Gradle error: configuration deklariert die Abhängigkeit, die nicht deklariert ist
  • Fehler: Fehler beim Auflösen: com.twitter.sdk.android:twitter:2.3.0 - Android Studio
  • Warnung: Konflikt mit Abhängigkeit 'com.android.support:support-annotations'
  • Gradle: Pros / Cons Hinzufügen von Abhängigkeiten
  • Error:(111, 0) Cannot call getBootClasspath() before setTargetInfo() is called. 

    Also habe ich nach einer Lösung gesucht und ich habe das auf dem Stack gefunden:

    Dies ist ein bekanntes Problem, das durch die Aktualisierung von gradle zu:

     dependencies { classpath 'com.android.tools.build:gradle:1.1.2' } 

    Also habe ich das versucht aber dann habe ich den Fehler bekommen:

     Error:Could not find com.android.tools.build:gradle:1.1.2. Searched in the following locations: file:/home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle/1.1.2/gradle-1.1.2.pom file:/home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle/1.1.2/gradle-1.1.2.jar Required by: Yoki:facebook:unspecified 

    Also bin ich in das angegebene Verzeichnis gezogen und dann gibt es nur das:

     $> ls 1.0.0 1.1.0 $> pwd /home/roman/Documents/softs/android-studio/gradle/m2repository/com/android/tools/build/gradle 

    Wie kann ich das gradle Plugin aktualisieren?

  • Android SDK Manager GCM Bibliothek
  • Unterdrücken / blockieren BroadcastReceiver in einer anderen App
  • Sprechen fehlgeschlagen nicht an TTS Engine gebunden
  • So stellen Sie die Padding für CardView-Widget in Android L ein
  • Bereitstellung von Apps über Google Play Store in einem privaten Kanal ohne Google Apps?
  • Wie man mehrere Alarme mit Android Alarmmanager einstellen
  • 3 Solutions collect form web for “Update Android Studio Gradle Plugin auf die letzte Version”

    Ändern Sie Ihren buildscript Block. Sie müssen auch in diesem Block die Repositories angeben.

     buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.1.2' } } 

    Auch können Sie die letzte Version verwenden:

      classpath 'com.android.tools.build:gradle:1.1.3' 

    Es gibt drei Arten von Abhängigkeit in Android-Gradle-Datei.

    1. Modulabhängigkeit : anderes lokales Projekt.

    2. Lokale Abhängigkeit : in Ihrem sdk Pfad Extras Ordner.

    3. Fernabhängigkeit: JCenter, MavenCenter oder Dritter Maven Pfad.

    'Com.android.tools.build:gradle' ist lokale Abhängigkeit, also musst du dein sdk überprüfen und aktualisieren.

    PS Wenn Sie mit der Version Problem müde, können Sie versuchen, andle .

    Es ist ein Open-Source-Projekt, um Ihre Android-Abhängigkeitsversion automatisch zu aktualisieren.

    Weitere Informationen finden Sie unter https://github.com/Jintin/andle

    Eine regelmäßig aktualisierte Online-Anleitung. Erläutert Ihnen die neueste Gradle-Version und die Quelle der Veröffentlichungen. So aktualisieren Sie mit Einzeltexten in Graustufendateien.

    Leitfaden, um auf die neueste gradle Version aktualisiert zu werden

    Basierend auf https://docs.gradle.org/current/release-notes

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.